Skip to content

Last updated: 22 September 2026 | Change log

Order reference queries

Provide an orderReference to find the matching card payment(s) for a specific order.

Note

Querying by orderReference returns data for payments processed after 20 August 2026.

Request

The order reference (orderReference) is generated by you, and you can optionally apply it to one or more payments according to your business needs. You may apply the same orderReference across multiple payments, for example where:

  • the total amount for a single order is split across multiple payments
  • you use a single reference for each payment in a recurring agreement or split shipment scenario

GET https://try.access.worldpay-bsh.securedataplatform.co.uk/paymentQueries/payments?orderReference={orderReference}

Example

GET https://try.access.worldpay-bsh.securedataplatform.co.uk/paymentQueries/payments?orderReference=order-12345

Parameter description

ParameterRequiredDescription
orderReference✅A reference, generated by you, that you can apply to one or more payments according to your business needs. You may reuse the same reference across multiple payments.

Response

The response contains summary information about the payment(s) associated with the orderReference. For detailed information about a payment you should run a query using the paymentId.

Response schema

_linksobjectrequired

links to the pages.

_embeddedobjectrequired

Response examples

{
    "_links": {
        "self": {
            "href": "/paymentQueries/payments?orderReference=order-12345"
        }
    },
    "_embedded": {
        "payments": [
            {
                "timestamp": "2026-08-20T16:13:44.032Z",
                "paymentId": "payq2mkdlRv_7EtXtKJEy9VE0",
                "transactionReference": "wvwveqw",
                "orderReference": "order-12345",
                "narrative": {
                    "line1": "trading name"
                },
                "transactionType": "cardOnFile",
                "authorizationType": "authorization",
                "lastEvent": "authorizationSucceeded",
                "entity": "default",
                "issuer": {
                    "authorizationCode": "300581"
                },
                "scheme": {
                    "reference": "060720116005061"
                },
                "paymentInstrument": {
                    "type": "card/network+masked",
                    "card": {
                        "number": {
                            "last4Digits": "1111",
                            "cardBin": "444433",
                            "fpanLastFour": "2222"
                        },
                        "brand": "visa",
                        "expiryDate": {
                            "month": 5,
                            "year": 2035
                        },
                        "fundingType": "credit",
                        "issuerName": "UNKNOWN",
                        "paymentAccountReference": "Q1HJZ28RKA1EBL470G9XYG90R5D3E",
                        "category": "consumer"
                    }
                },
                "value": {
                    "currency": "GBP",
                    "amount": 250
                },
                "_links": {
                    "self": {
                        "href": "/paymentQueries/payments/payq2mkdlRv_7EtXtKJEy9VE0"
                    }
                }
            },
            {
                "timestamp": "2026-08-20T16:13:40.379Z",
                "paymentId": "payLNUzcz3fCXDtqMQoIajt20",
                "transactionReference": "sfwvwv",
                "orderReference": "order-12345",
                "narrative": {
                    "line1": "trading name"
                },
                "transactionType": "cardOnFile",
                "authorizationType": "authorization",
                "lastEvent": "authorizationSucceeded",
                "entity": "default",
                "issuer": {
                    "authorizationCode": "835314"
                },
                "scheme": {
                    "reference": "060720116005061"
                },
                "paymentInstrument": {
                    "type": "card/network+masked",
                    "card": {
                        "number": {
                            "last4Digits": "1111",
                            "cardBin": "444433",
                            "fpanLastFour": "2222"
                        },
                        "brand": "visa",
                        "expiryDate": {
                            "month": 5,
                            "year": 2035
                        },
                        "fundingType": "credit",
                        "issuerName": "UNKNOWN",
                        "paymentAccountReference": "Q1HJZ28RKA1EBL470G9XYG90R5D3E",
                        "category": "consumer"
                    }
                },
                "value": {
                    "currency": "GBP",
                    "amount": 250
                },
                "_links": {
                    "self": {
                        "href": "/paymentQueries/payments/payLNUzcz3fCXDtqMQoIajt20"
                    }
                }
            }
        ]
    }
}